﻿#language: ru

Функционал: Закрытие смены в камерах созревания

Сценарий: Закрытие смены в камерах созревания
	Дано Я подключаюсь под "Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ'       |
		| 'Маркировка' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'       | 'Статус'     |
		| 'Маркировка' | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Сырье'
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю строку:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'Камера созревания 1'                 |
	И я нажимаю на кнопку с именем 'КомандаСписатьУсушкуОстаткиПолуфабрикаты'
	И из выпадающего списка "ОстаткиПолуфабрикатыСтраницаОстатки" я выбираю точное значение 'Материалы'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиМатериалыКомандаРазвернутьУровень4'
	И в таблице "ДеревоОстаткиМатериалы" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'Короб'                               | '<не используются>' |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиМатериалы'
	Тогда открылось окно 'Списать'
	Тогда таблица "СписываемыеПартии" стала равной:
		| 'Количество' | 'Номенклатура' |
		| '55,000'     | 'Короб'        |
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'Брак'
	И я нажимаю кнопку выбора у поля "Статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Списать'
	И в таблице "СписываемыеПартииБезТары" в поле с именем 'СписываемыеПартииБезТарыКоличество' я ввожу текст '5,000'
	И я нажимаю на кнопку 'ОК'
	И я нажимаю на кнопку 'Закрыть'
	И в таблице "ДеревоРабочиеЦентры" поле "Статус" имеет значение "Закрыта" 
	И я закрываю окно 'Рабочее место мастера смены*'

Сценарий: 10_milk_scenario.05.014 Закрытие клиента тестирования Цех Созревания
	И я закрываю сеанс TESTCLIENT